/****************************************************************************/
/*
	
DESCRIPTION

	ColdFire/M68K instruction constants & macros.
	
AUTHORS

	Copyright 2003, 2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/****************************************************************************/

#ifndef __m68k_instr_h__
#define __m68k_instr_h__


/*
** Sign-extend the lower 26-bit value of a 32-bit word by shifting
** it left 6 bits, and then doing an ARITHMETIC shift right
** by 6 bits.  Do the arithmetic shift using a division by 2^6.
*/

#define SIGN_EXTEND_26( x )			((((signed long)(x)) << 6) / 0x40)

/*
** Sign-extend the lower 16-bit value of a 32-bit word by shifting
** it left 16 bits, and then doing an ARITHMETIC shift right
** by 16 bits.  Do the arithmetic shift using a division by 2^16.
*/

#define SIGN_EXTEND_16( x )			((((signed long)(x)) << 16) / 0x10000)


/*
** Instruction used for breakpoint.
*/
#define	m68k_BREAK			0x4AC8

/*
** Useful opcode values.
*/

#define OP_BX				18
#define OP_BCX				16

/*
** This opcode is used by both BCCTRX and BCLRX instructions.
** Additional testing is required to identify the specific
** instruction.
*/
#define OP_BCXX				19


#endif	// #ifndef __m68k_instr_h__
