/******************************************************************************************/
/*
	
DESCRIPTION

	Defines __db_fork(), which can be used instead of fork() to enable the
	debugger to attach and debug the resulting child process .
	
COPYRIGHT

	Copyright 2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include <asm/unistd.h>
#include <errno.h>
#include <signal.h>
#include <sched.h> 

#define __NR___db_clone	__NR_clone
_syscall2( int, __db_clone, int, flags, int, stack );

/*
** Call __db_fork() instead of fork() to enable the debugger to 
** attach and debug the resulting child process .
*/

#define __db_fork()		__db_clone( SIGCHLD | CLONE_PTRACE, 0 )

