/******************************************************************************************/
/*
	
DESCRIPTION

	See header file.
			
COPYRIGHT

	Copyright 2003, 2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "linux_hostlog.h"

#include "trk_prefix.h"
#include "nubassrt.h"

#include <stdlib.h>
#include <string.h>
#include <limits.h>		// for PATH_MAX


void HostLogPrint(const char * msg)
{
	static bool bFirstTime = true;
	static char logfpath[PATH_MAX];
	
	if (bFirstTime)
	{
		/*
		 * Check for the environment variable that turns on logging and
		 * specifies the logfile path. We attempt to clear out the file
		 * by doing an fopen/fclose. If that succeeds, we're good to go.
		 */
		logfpath[0] = '\0';
		const char * envvar = getenv("MW_TRK_LOGFILE");
		if (envvar)
		{
			FILE * file = fopen(envvar, "w");
			if (file)
			{
				fclose(file);	// nothing to write. We just wanted to create or empty the file (if it already exists)

				strncpy(logfpath, envvar, sizeof(logfpath));
				logfpath[sizeof(logfpath) - 1] = '\0';	// strncpy doesn't guarantee null terminated string
			}
		}
		
		bFirstTime = false;
	}
	
	if (logfpath[0])
	{
		FILE * file = fopen(logfpath, "a");
		if (file)
		{
			fprintf(file, msg);
			fclose(file);
		}
	}
}
