/******************************************************************************************/
/*

DESCRIPTION

	Routines for logging to a file on the host. Note that by "host", we are 
	referring to the machine where the TRK is running, not to where the
	debugger is running (although, for desktop debugging, these are clearly
	one in the same). If and where logging occurs is dictated by the
	presence of the env variable MW_TRK_LOGFILE on the TRK-host machine.
	
	Currently, there is no official log generated by the TRK. These routines
	are used during development as an aid for debugging the TRK process on
	desktop Linux.
		
COPYRIGHT

	Copyright 2003, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __LINUX_HOSTLOG_H__
#define __LINUX_HOSTLOG_H__

void HostLogPrint(const char * msg);

#endif // __LINUX_HOSTLOG_H__
