/******************************************************************************************/
/*

DESCRIPTION

	Event notification from TRK to host debugger, Linux-specific.
	
COPYRIGHT

	Copyright 2000, 2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __LINUX_NOTIFY_H__
#define __LINUX_NOTIFY_H__

#include "target.h"
#include "msgcmd.h"
#include "msgbuf.h"

__extern_c

	DSError DoOsNotifyProcessCreated( ui32 processId, ui32 parentId );
	DSError DoOsNotifyProcessDeleted( ui8 type, ui32 code, ui32 processId );
	DSError DoOsNotifyDllCreated( ui32 offset, char *name, bool remaining,
							ui32 processId, ui32 threadId );
	DSError DoOsNotifyDllDeleted( char *name, bool remaining,
							ui32 processId, ui32 threadId );
	DSError DoOsNotifyThreadCreated( ui32 processId, ui32 threadId );
	DSError DoOsNotifyThreadDeleted( ui32 result, ui32 processId, ui32 threadId );
	DSError DoOsNotifyProcExecCreated( ui32 processId, char *exePath );

__end_extern_c

#endif /* __LINUX_NOTIFY_H__ */
