/******************************************************************************************/
/*

DESCRIPTION

	Default Linux support-mask constant definitions.  This file should
	be included from "target.h" for each target.  If a particular
	target needs to define non-default values, copy this file into
	the target directory and modify it there.
	
COPYRIGHT

	Copyright 2000-2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef LINUX_SMASK_H
#define LINUX_SMASK_H

/*
 * Support Mask - Used to tell the host which commands are supported by
 * this implementation of CodeWarriorTRK.  See msgcmd.h for a list of commands
 * and a better explanation of the meaning of this mask.  The mask is
 * defined in 8-bit segments.
 */
 
#define DS_SUPPORT_MASK_00_07	0x7E	/* kDSConnect, kDSDisconnect, kDSReset, kDSVersions, kDSSupportMask, kDSCPUType */
#define DS_SUPPORT_MASK_08_0F	0x00
#define DS_SUPPORT_MASK_10_17	0x4f	/* R/W Memory, R/W Registers, FlushCache */
#define DS_SUPPORT_MASK_18_1F	0x5f	/* kDSContinue, kDSStep, kDSStop, kDSSetBreak, kDSClearBreak */
#define DS_SUPPORT_MASK_20_27	0x03	/* kDSNotifyFileInput, kDSBlockFileIo */
#define DS_SUPPORT_MASK_28_2F	0x00
#define DS_SUPPORT_MASK_30_37	0x00
#define DS_SUPPORT_MASK_38_3F	0x00
#define DS_SUPPORT_MASK_40_47	0x0f	/* OS Create/Delete Item, OS Read/Write Info */
#define DS_SUPPORT_MASK_48_4F	0x1f	/* OS Read/Write/Open/Close/Position File */
#define DS_SUPPORT_MASK_50_57	0x00
#define DS_SUPPORT_MASK_58_5F	0x00
#define DS_SUPPORT_MASK_60_67	0x00
#define DS_SUPPORT_MASK_68_6F	0x00
#define DS_SUPPORT_MASK_70_77	0x00
#define DS_SUPPORT_MASK_78_7F	0x00
#define DS_SUPPORT_MASK_80_87	0x01	/* kDSReplyACK */
#define DS_SUPPORT_MASK_88_8F	0x00
#define DS_SUPPORT_MASK_90_97	0x01	/* kDSNotifyStopped */
#define DS_SUPPORT_MASK_98_9F	0x00
#define DS_SUPPORT_MASK_A0_A7	0x03	/* kDSOSNotifyCreated, kDSOSNotifyDeleted */
#define DS_SUPPORT_MASK_A8_AF	0x00
#define DS_SUPPORT_MASK_B0_B7	0x00
#define DS_SUPPORT_MASK_B8_BF	0x00
#define DS_SUPPORT_MASK_C0_C7	0x00
#define DS_SUPPORT_MASK_C8_CF	0x00
#define DS_SUPPORT_MASK_D0_D7	0x03	/* kDSWriteFile, kDSReadFile */
#define DS_SUPPORT_MASK_D8_DF	0x00
#define DS_SUPPORT_MASK_E0_E7	0x00
#define DS_SUPPORT_MASK_E8_EF	0x00
#define DS_SUPPORT_MASK_F0_F7	0x00
#define DS_SUPPORT_MASK_F8_FF	0x80	/* kDSReplyNAK */

#endif /* #ifndef OS_SMASK_H */
