/******************************************************************************************/
/*
	
DESCRIPTION

	Linux share-object handling routines.
	
COPYRIGHT

	Copyright 2000, 2002-2004, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef _LINUX_SO_H_
#define _LINUX_SO_H_

/******************************************************************************************/
/*
 *	Includes
 */
/******************************************************************************************/

#include "linux_targimpl.h"
#include "linux_thread.h"

/******************************************************************************************/
/*
 *	Errors
 */
/******************************************************************************************/

/******************************************************************************************/
/*
 *	Types
 */
/******************************************************************************************/

/******************************************************************************************/
/*
 *	Public Function Prototypes
 */
/******************************************************************************************/

__extern_c

	DSError TrkSetSoBreakpointsLinux( LinuxProcessState *pState,
										LinuxThreadState *tState );
	DSError TrkUpdateSoStateLinux( LinuxProcessState *pState,
						LinuxThreadState *tState,
						bool atBp, bool notify,
						int *notifyCount );
	DSError TrkFindSoInProcessLinux( LinuxProcessState *pState, const char *name,
									TrkSoInfo **soi);

	void TrkFreeSoListLinux( TrkSoInfo *soList );
	
	void TrkFreeInvisibleRangeList(InvisibleRangeInfo **InvRangeList);
	
__end_extern_c

#endif /* #ifndef _LINUX_SO_H_ */
