/******************************************************************************************/
/*

DESCRIPTION

	Linux-specific timeout routines for CodeWarriorTRK.


COPYRIGHT

	Copyright 2000-2002, 2006, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef LINUX_TIMEOUT_H
#define LINUX_TIMEOUT_H

/*
** A timeout implementation must define TimeoutType and provide
** functions or macros that conform to the following prototypes:
**
**	void ResetTimeout( TimeoutType *timer_ptr );
**		// Clear the given timer object and start timing.
**
**	bool Timeout( TimeoutType *timer_ptr );
**		// Test the given timer object.  If timeout has occurred,
**		// return true, else return false.
**
*/

#include <time.h>
typedef time_t 		TimeoutType;

__extern_c
	void ResetTimeout( TimeoutType *timer_ptr );
	bool Timeout( TimeoutType *timer_ptr );
__end_extern_c

#endif /* ndef LINUX_TIMEOUT_H */
