/****************************************************************************/
/*

DESCRIPTION

	Register numbers for PPC Linux.
	
	These register blocks are accessed via the kDSReadRegisters and
	kDSWriteRegisters messages.  The register number for a specific
	register is determined by its corresponding element number in these
	structures.  The register data in the messages must conform to
	the structures defined here in big-endian format.
	
AUTHORS

	Copyright 2000-2003, 2009 Freescale Semiconductor, Inc.
	
*/
/****************************************************************************/

#ifndef _LINUX_PPC_REG_H_
#define _LINUX_PPC_REG_H_

#include "dstypes.h"
#include "ppc_reg.h"	// Generic PowerPC Register Definitions
/****************************************************************************/


/*
 * Floating point register block should be defined here
 */

/*
 * Extended registers block 1 - define this to contain the
 * few registers we can access under Linux.
 */
typedef struct Extended1_PPC_Linux
{
	Extended1Type		EVR[32];
	Extended1Type		ACC_HI;
	Extended1Type		ACC_LO;
	Extended1Type		SPEFSCR;
} Extended1_PPC_Linux;

#define DS_EXTENDED1_MIN_REGISTER_LINUX	0
#define DS_EXTENDED1_MAX_REGISTER_LINUX	(sizeof( Extended1_PPC_Linux ) / sizeof( Extended1Type ) - 1)

#if !defined(EPPC_E500_ACC_OFFSET)
#define EPPC_E500_ACC_OFFSET	32
#endif

/*
 *	full processor state
 */

typedef struct ProcessorState_PPC_Linux
{
	Default_PPC			Default;		/* Default register block */
	Extended1_PPC_Linux	Extended1;		/* Extended register block */
#if TRK_TRANSPORT_INT_DRIVEN
	DefaultType 			transport_handler_saved_ra;
#endif
} ProcessorState_PPC_Linux;


#ifndef MWDEBUGGER_PLUGIN
#define DS_EXTENDED1_MIN_REGISTER	DS_EXTENDED1_MIN_REGISTER_8xx
#define DS_EXTENDED1_MAX_REGISTER	DS_EXTENDED1_MAX_REGISTER_8xx
typedef ProcessorState_PPC_Linux	ProcessorState_PPC;
typedef Extended1_PPC_Linux			Extended1_PPC;
#endif



#endif /* #ifndef _LINUX_PPC_REG_H_ */
