/****************************************************************************/
/*

DESCRIPTION

	Defines specific to the Linux PPC target.
		
AUTHORS

	Copyright 2000-2002, 2009 Freescale Semiconductor, Inc.
	
*/
/****************************************************************************/

#ifndef TRK_TARGET_H
#define TRK_TARGET_H

#include "linux_target.h"

/****************************************************************************/


#define DS_TARGET_NAME				"Linux PPC"

/*
** CPU-specific defines.  Note that the extended1 register
** block is not accessible in Linux user mode.
*/

#define DS_CPU_MAJOR_TYPE			DS_CPU_MAJOR_PPC
#define DS_CPU_MINOR_TYPE			0

#define DS_CPU_DEFAULT_SIZE			TRK_DEFAULT_SIZE
#define DS_CPU_FP_SIZE				TRK_FLOAT_SIZE
#define DS_CPU_EXTENDED1_SIZE		0
#define DS_CPU_EXTENDED2_SIZE		0

/*
** The PPC single-instruction trace code normally uses the hardware 
** single-step mode whenever possible and hardware/software breakpoints
** otherwise.  Defining the following macro forces it to use
** breakpoints in all cases.
**
** Using the hardware singlestep mode under PPC Linux currently causes
** certain things to stop functioning correctly.  For now, use
** breakpoints for all tracing.
*/

#define TRK_FORCE_BREAKPOINT_TRACE

/*
** Target-specific includes that define things needed by
** portable code.
*/

#include "linux_ppc_reg.h"

#endif /* ndef TRK_TARGET_H */
