/******************************************************************************************/
/*

DESCRIPTION

	Default idle implementation for CodeWarriorTRK on a system with no OS.
	
COPYRIGHT

	Copyright 2000, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"

#include "usr_put.h"
#include "nubevent.h"
#include "mainloop.h"
#include "nubassrt.h"
#include "dispatch.h"
#include "targimpl.h"


/****************************************************************************/
/*
 *	Idle
 *
 *	Find a productive way to kill time while waiting for something
 *	interesting to happen.
 */
/****************************************************************************/
void Idle( void )
{
	/*				
	**
	** If the target process is stopped, then wait
	** for something interesting to occur.  In a 
	** multi-process environment, this would block
	** until an input event occurred.  In a bare-board
	** system, nothing useful can be done here, so just
	** assume that something happened and return.
	**
	** If the target process is not stopped, then don't
	** waste any more time in the TRK.  Let the target
	** process continue.
	*/

	if (XTargetStopped())
	{
		/* block until input event occurs */
	}
	else
	{
		__console_dump();
		XTargetContinue();
		__console_dump();
	}
	
}

