/******************************************************************************************/
/*

DESCRIPTION

	Stub implementation to set/retrieve ethernet configuration.
	
	Use this file for targets which do not support ethernet
	communication.  Otherwise, use ethconfig.c or a target-specific
	implementation.
	
COPYRIGHT

	Copyright 2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"		/* must be included first */

#include "ethconfig.h"
#include "targimpl.h"

/****************************************************************************/
/*
** Function Name:		TrkGetEthConfig
**
** Description:			Returns the current ethernet configuration.
**
** Input:
**		config:			Ptr to storage for the resulting config.
**
** Output:
**		return:			error code (kNoError if succeeded)
**		config:			If successful, configuration will be stored at *config.
**
*/
/****************************************************************************/
DSError TrkGetEthConfig( TrkEthConfig *config )
{
	/* Not supported */
	return( kUnsupportedError );
}

/****************************************************************************/
/*
** Function Name:		TrkSetEthConfig
**
** Description:			Sets the current ethernet configuration.
**
** Input:
**		config:			Ptr to the new configuration values.
**
** Output:
**		return:			error code (kNoError if succeeded)
**
*/
/****************************************************************************/
DSError TrkSetEthConfig( const TrkEthConfig *config )
{
	/* Not supported */
	return( kUnsupportedError );
}

