/******************************************************************************************/
/*

DESCRIPTION

	Main loop for TRK.
	
	Repeatedly handle host- and target-generated events.

COPYRIGHT

	Copyright 1999, 2000, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef TRK_MAINLOOP_H
#define TRK_MAINLOOP_H

#include "nubevent.h"
#include "usr_put.h"

__extern_c

	/*
	 *	Public API and public implementation
	 */
	void NubMainLoop(void);


	/*
	 *	Public API and private implementation
	 */

	void HandleSupportEvent(NubEvent* event);
	void HandleRequestEvent(NubEvent* event);
	void Idle(void);
	void PostContinueEvent(
#if DS_PROTOCOL == DS_PROTOCOL_RTOS
						ui32 processId, ui32 threadId
#else
						void
#endif
						);
	void HandleContinueEvent(NubEvent* event);
__end_extern_c

#endif /* ndef TRK_MAINLOOP_H */
