/******************************************************************************************/
/*
	
DESCRIPTION
	
	Aliases for TRK standalone memory functions.  The CodeWarriorTRK memory 
	functions have non-standard names (intentionally).  However, it is
	sometimes useful to link with external libraries that reference
	the standard mem function names.  These aliases can be used in that
	case.
	
COPYRIGHT

	Copyright 2000, 2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"

#include "reset.h" /* forces funcs into reset section, if desired */
#ifndef _NO_SYSTEM_INCLUDES
#include <string.h>
#include "mem_TRK.h"


void * memcpy(void * dst, const void * src, size_t n)
{
	return( TRK_memcpy( dst, src, n ) );
}

void * (memmove)(void * dst, const void * src, size_t n)
{
	return( TRK_memmove( dst, src, n ) );
}


void * memset(void * dst, int val, size_t n)
{
	return( TRK_memset( dst, val, n ) );
}
#endif

