/******************************************************************************************/
/*

DESCRIPTION

	CWDS messages.

COPYRIGHT

	Copyright 1999-2002, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __MSG_H__
#define __MSG_H__

/*
 *	Portable includes
 */
#include "dstypes.h"
#include "dserror.h"
#include "msgbuf.h"

enum {								/* DSError; see dserror.h */
	kMessageOverflow = 0x0400,
	kMessageSizeError,
	kUnsupportedOptionError
};


/*
 *	Function prototypes
 */
__extern_c

	DSError MessageAdd(MessageBuffer* buffer, unsigned long data);
	#define MessageAddBlock AppendBuffer
	
	#define MessageAdd_ui8 AppendBuffer1_ui8
	#define MessageAdd_ui16 AppendBuffer1_ui16
	#define MessageAdd_ui32 AppendBuffer1_ui32
	#define MessageAdd_ui64 AppendBuffer1_ui64
	#define MessageAdd_ui80 AppendBuffer1_ui80
	#define MessageAdd_ui128 AppendBuffer1_ui128
	
	#define MessageAddBlock_ui8 AppendBuffer_ui8
	#define MessageAddBlock_ui16 AppendBuffer_ui16
	#define MessageAddBlock_ui32 AppendBuffer_ui32
	#define MessageAddBlock_ui64 AppendBuffer_ui64
	#define MessageAddBlock_ui80 AppendBuffer_ui80
	#define MessageAddBlock_ui128 AppendBuffer_ui128
	

	DSError MessageGet(MessageBuffer* buffer, unsigned long *data);
	#define MessageGetBlock ReadBuffer

	#define MessageGet_ui8 ReadBuffer1_ui8
	#define MessageGet_ui16 ReadBuffer1_ui16
	#define MessageGet_ui32 ReadBuffer1_ui32
	#define MessageGet_ui64 ReadBuffer1_ui64
	#define MessageGet_ui80 ReadBuffer1_ui80
	#define MessageGet_ui128 ReadBuffer1_ui128

	#define MessageGetBlock_ui8 ReadBuffer_ui8
	#define MessageGetBlock_ui16 ReadBuffer_ui16
	#define MessageGetBlock_ui32 ReadBuffer_ui32
	#define MessageGetBlock_ui64 ReadBuffer_ui64
	#define MessageGetBlock_ui80 ReadBuffer_ui80
	#define MessageGetBlock_ui128 ReadBuffer_ui128

__end_extern_c

#endif /* __MSG_H__ */
