/******************************************************************************************/
/*
	
DESCRIPTION

	Message parser/constructor prototypes.
	
COPYRIGHT

	Copyright 2000-2002, 2004, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef __MSGPARSE_H__
#define __MSGPARSE_H__


#include "target.h"
#include "msgcmd.h"
#include "msgbuf.h"

__extern_c

	DSError TrkParseMessageSegment(MessageBuffer* b,
									const TrkMsgDesc* desc,
									bool setPos );
	DSError TrkConstructMessage(MessageBuffer* b,
								const TrkMsgDesc* desc );
	DSError TrkConstructMessageSegment(MessageBuffer* b,
								const TrkMsgDesc* desc,
								bool setPos, bool relIndex,
								MessageFields *fields );
	DSReplyError TrkStandardReplyError( DSError err );
	DSError TrkGetMessageTotal( const TrkMsgDesc* desc,
								int *length, int *count );

__end_extern_c

#endif /* ndef __MSGPARSE_H__ */
