/******************************************************************************************/
/*

DESCRIPTION
	
	Standalone Standard C Library Implementation for string operations.
	
	Derived from MSL C (CodeWarrior 11).
	
COPYRIGHT

	Copyright 2000, 2002, 2003, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#include "trk_prefix.h"

#include "string_TRK.h"

#if __MWERKS__
#pragma warn_possunwant off
#endif /* __MWERKS__ */


size_t (TRK_strlen)(const char * str)
{
	size_t	len = -1;
	
#if !__POWERPC__
	
	do
		len++;
	while (*str++);
	
#else
	
	unsigned char * p = (unsigned char *) str - 1;
	
	do
		len++;
	while (*++p);
	
#endif
	
	return(len);
}


char * TRK_strcat(char * dst, const char * src)
{
#if !__POWERPC__
	
	const	char * p = src;
				char * q = dst;
	
	while (*q++);
	
	q--;
	
	while ((*q++ = *p++) != 0) {}
#else
	
	const	unsigned char * p = (unsigned char *) src - 1;
				unsigned char * q = (unsigned char *) dst - 1;
	
	while (*++q);
	
	q--;
	
	while ((*++q = *++p) != 0) {}
#endif
	
	return(dst);
}

