/******************************************************************************************/
/*
	
DESCRIPTION

	Support commands from TRK to host debugger.

COPYRIGHT

	Copyright 1999-2002, 2004, 2006, 2007, 2009 Freescale Semiconductor, Inc.
	
*/
/******************************************************************************************/

#ifndef TRK_SUPPORT_H
#define TRK_SUPPORT_H

#include "target.h"
#include "msgcmd.h"
#include "msgbuf.h"

/****************************************************************************/
/*
 *	Globals
 */
/****************************************************************************/
#ifndef IS_SMP
extern bool gRequestCached;
#else
#define gRequestCached PRIVATE_DATA(REQUEST_CACHED)
#endif

/****************************************************************************/
/*
 *	Public Function Prototypes
 */
/****************************************************************************/
__extern_c

	DSError SuppAccessFile( ui32 file_handle, ui8 *data, size_t *count, 
						   DSIOResult *io_result, bool need_reply,
						   bool read
#if DS_PROTOCOL == DS_PROTOCOL_RTOS
						   , ui32 process_id, ui32 thread_id
#endif
						   );
	DSError RequestSend( MessageBuffer *buffer, MessageBufferId *replyID,
						 size_t min_size, int max_retries, bool check_timeout );

	ui8 GetNextSendSeqId( void );
	void ResetSendSeqId( ui8 val );

__end_extern_c

#endif /* ndef TRK_SUPPORT_H */
